Status Pages
List status pages
Fetch status pages for the current project.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
Status page list
application/json- response
data?array<>pagination?curl -X GET 'https://demo.supercheck.dev/api/status-pages'Example Response
{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "subdomain": "string", "status": "string", "pageDescription": "string", "allowRssFeed": true, "faviconLogo": "string", "transactionalLogo": "string", "heroCover": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "pagination": { "total": 0, "page": 0, "limit": 0, "totalPages": 0 }}